package com.sw.mes.yb.production.service;

import com.sw.mes.base.factory.inspect.dto.BatchOutgoMarkOperateInfoDto;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.dto.BatchOutgoMarkOperateDto;
import com.sw.mes.yb.production.dto.OutgoMarkOperateDto;
import com.sw.mes.yb.production.entity.OutgoMarkOperate;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface OutgoMarkOperateService extends BaseService<OutgoMarkOperate> {

    void batchOutgoMarkOperate(BatchOutgoMarkOperateInfoDto batchOutgoMarkOperateInfoDto);

    void batchCreateOutgoMarkOperate(BatchOutgoMarkOperateDto batchOutgoMarkOperateDto);

    OutgoMarkOperate findByCrystalNoAndStatus(String crystalNo,Integer status);

    OutgoMarkOperate findBySectionNoAndStatus(String sectionNo,Integer status);

    OutgoMarkOperateDto judgeCrystalNoIsOutgo(String sectionNo);

}
